Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary: 	A Gnome based SIP/H323 teleconferencing application
Name: 		ekiga
Version: 	2.0.12
Release: 	2
URL: 		http://www.ekiga.org/
Source0: 	http://www.ekiga.org/ekiga-%{version}.tar.gz
License: 	GPL
Group: 		Networking/Chat
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root
Requires: 	pwlib >= 1.10.2
Requires: 	opal >= 2.2.3
Requires: 	GConf
Requires: 	libgnomeui
Requires: 	libgnome
Requires:	avahi
Requires: 	evolution-data-server
PreReq:    	scrollkeeper
BuildRequires: 	gtk2+-devel
BuildRequires: 	GConf-devel
BuildRequires: 	libgnomeui-devel
BuildRequires: 	libgnome-devel
BuildRequires: 	avahi-devel
BuildRequires: 	openldap-devel
BuildRequires: 	pwlib-devel
BuildRequires: 	opal-devel
BuildRequires: 	libxml2-devel
BuildRequires: 	SDL-devel
BuildRequires: 	intltool
BuildRequires: 	pkg-config
BuildRequires: 	scrollkeeper
BuildRequires: 	alsa-lib-devel
BuildRequires: 	gettext
BuildRequires: 	evolution-data-server-devel
BuildRequires: 	gnome-doc-utils
BuildRequires: 	desktop-file-utils
BuildRequires:	dbus-devel
Requires(post): GConf scrollkeeper
Requires(postun): scrollkeeper

%description
Ekiga is a tool to communicate with video and audio over the internet.
It uses the standard SIP and H323 protocols.

%prep
%setup -q

%build
CXXFLAGS="$RPM_OPT_FLAGS -DLDAP_DEPRECATED=1 -fPIC -I/usr/include/ptlib -I/usr/include/ptclib"
# We disable howl for now, waiting for ekiga 2.0 to ship with avahi support
%configure \
--sysconfdir=%_sysconfdir/gnome \
--disable-scrollkeeper \
--localstatedir=/var/lib \
--enable-dbus
make

%install
rm -rf $RPM_BUILD_ROOT
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

rm -rf $RPM_BUILD_ROOT/var/lib/scrollkeeper

%find_lang ekiga

%clean
rm -rf $RPM_BUILD_ROOT

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gnome/gconf/schemas/ekiga.schemas > /dev/null 2>&1
gconftool-2 --shutdown
(yes | ekiga-config-tool --install-schemas) > /dev/null 2>&1
scrollkeeper-update

%postun
scrollkeeper-update

%files -f ekiga.lang
%defattr(-,root,root)
%{_bindir}/ekiga
%{_bindir}/ekiga-helper
%{_bindir}/ekiga-config-tool
%{_libdir}/bonobo/servers/ekiga.server
%{_datadir}/applications/ekiga.desktop
%{_datadir}/gnome/help/ekiga
%{_datadir}/omf/ekiga
%{_datadir}/pixmaps/*
%{_datadir}/man/*/*
%{_datadir}/sounds/ekiga
#%{_datadir}/ekiga
%{_sysconfdir}/gnome/gconf/schemas/ekiga.schemas
%_datadir/dbus-1/services/net.ekiga.helper.service
%_datadir/dbus-1/services/net.ekiga.instance.service

%changelog
* Tue Mar 25 2008 Christian Wasem <wasem@ccux-linux.de> 2.0.12-2
- rebuild, changed group to Networking/Chat
* Sat Mar 22 2008 Karsten Brockmann <arcam@ccux-linux.de> 2.0.12-1
- Version update
* Mon Oct 01 2007 Christian Metzen <metzench@ccux-linux.de> 2.0.11-1
- Version update
* Wed Mar 21 2007 Christian Metzen <metzench@ccux-linux.de> 2.0.7-1
- Version update
* Fri Nov 17 2006 Christian Metzen <metzench@ccux-linux.de> 2.0.3-1
- Initial release
